# std::isupper(std::locale)

From cppreference.com
< cpp‎ | locale

Defined in header `<locale>` |  |
template< class charT > bool isupper( charT ch, const locale& loc ); |  |

Checks if the given character is classified as an uppercase alphabetic character by the given locale's std::ctype facet.

### Parameters

ch | - | character
loc | - | locale

### Return value

Returns true if the character is classified as uppercase, false otherwise.

### Possible implementation

    template< class charT >
    bool isupper( charT ch, const std::locale& loc ) {
        return std::use_facet<std::ctype<charT>>(loc).is(std::ctype_base::upper, ch);
    }

### Example

Demonstrates the use of isupper() with different locales (OS-specific).

Run this code

    #include <iostream>
    #include <locale>
    int main()
    {
        const wchar_t c = L'\u00de'; // capital letter thorn

        std::locale loc1("C");
        std::cout << "isupper('Þ', C locale) returned "
                   << std::boolalpha << std::isupper(c, loc1) << '\n';

        std::locale loc2("en_US.UTF8");
        std::cout << "isupper('Þ', Unicode locale) returned "
                  << std::boolalpha << std::isupper(c, loc2) << '\n';
    }

Output:

    isupper('Þ', C locale) returned false
    isupper('Þ', Unicode locale) returned true

### See also

isupper | checks if a character is an uppercase character (function)
iswupper | checks if a wide character is an uppercase character (function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/locale/isupper&oldid=76929"